@echo off

set VCID=%1
set ARCH=%2

set PATH=%CYGWINPATH%\bin;C:\windows\system32;C:\windows

if "%ARCH%" == "x64" (
		if "%VCID%" == "8" (
				echo VCID: 8
				set "PATH=C:\Program Files\Microsoft Platform SDK\Bin\win64\x86\AMD64;C:\Program Files\Microsoft Platform SDK\Bin;%PATH%"
				set "INCLUDE=C:\Program Files\Microsoft Platform SDK\include;C:\Program Files\Microsoft Platform SDK\include\crt;%INCLUDE%"
				set "LIB=C:\Program Files\Microsoft Platform SDK\lib\AMD64;%LIB%"
		) else (

			if "%VCID%" == "9" (
				call "C:\Program Files (x86)\Microsoft Visual Studio %VCID%.0\VC\bin\vcvarsx86_amd64.bat"
			) else (
				if "%VCID%" == "17" (
					call "C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\VC\Auxiliary\Build\vcvarsall.bat" x86_amd64
				) else (
					call "C:\Program Files (x86)\Microsoft Visual Studio %VCID%.0\VC\vcvarsall.bat" x86_amd64
				)
			)
	
		)
) else (
	setlocal EnableDelayedExpansion
	if "%ProgramFiles(x86)%" == "" (
		if "%VCID%" == "6" (
			call "C:\Program Files\Microsoft Visual Studio\VC98\bin\vcvars32.bat"
		) else (

			if "%VCID%" == "8" (
				call "C:\Program Files\Microsoft Visual Studio 8\VC\bin\vcvars32.bat"
				set "INCLUDE=!INCLUDE!C:\Program Files\Microsoft Platform SDK\include;"
				set "LIB=!LIB!C:\Program Files\Microsoft Platform SDK\lib;"
			) else (
				call "C:\Program Files\Microsoft Visual Studio %VCID%.0\VC\bin\vcvars32.bat"
			)

		)
	) else (
		if "%VCID%" == "6" (
			call "%ProgramFiles(x86)%\Microsoft Visual Studio\VC98\bin\vcvars32.bat"
		) else (
			if "%VCID%" == "8" (
				call "%ProgramFiles(x86)%\Microsoft Visual Studio 8\VC\bin\vcvars32.bat"
				set "INCLUDE=!INCLUDE!C:\Program Files\Microsoft Platform SDK\include;"
				set "LIB=!LIB!C:\Program Files\Microsoft Platform SDK\lib;"
			) else (
				if "%VCID%" == "17" (
					call "%ProgramFiles(x86)%\Microsoft Visual Studio\2017\Community\VC\Auxiliary\Build\vcvarsall.bat" x86
				) else (
					call "%ProgramFiles(x86)%\Microsoft Visual Studio %VCID%.0\VC\bin\vcvars32.bat"
				)
			)

		)
	)
)

echo PATH: %PATH%
echo INCLUDE: %INCLUDE%
echo LIB: %LIB%

cd ..\..\
bash common
cd %MSVCDIR%


